ニュース
» 2007年07月01日 13時43分 UPDATE

修正したばかりの+Lhacaにまた脆弱性、新たな修正版をリリース

このほど脆弱性が指摘されて修正を行ったばかりの+Lhacaにまた脆弱性が発見され、この修正などを加えた最新版が公開された。

[ITmedia]

 このほど脆弱性が指摘され(関連記事)、修正版が公開されたばかり(関連記事)の圧縮・解凍ソフトウェア「+Lhaca」に新たな脆弱性が発見された。

 発見された脆弱性は、修正版として公開された「+Lhaca Version 1.21」に存在するもので、スタックバッファオーバーフローを引き起こす可能性がある。この脆弱性を悪用したLZH圧縮ファイルを処理すると、アプリケーションをクラッシュさせたり、任意のコード実行が可能になるという。

 研究者からの報告を受けて、+Lhacaの作者はこの脆弱性を修正した「+Lhaca Version 1.22」を公開した。だがVersion 1.22にはテスト用コードが残っていたためにファイルが解凍されないケースがあり、これを修正した「+Lhaca Version 1.23」を7月1日に公開している。

 作者によれば、Version1.20や1.21での脆弱性は1.23では存在せず、動作確認を終えた後に正式版にするという。

Copyright© 2016 ITmedia, Inc. All Rights Reserved.

Loading

ピックアップコンテンツ

- PR -

注目のテーマ